For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/template/get-api-template-v1by-id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Get template by ID

GET
/api/template/v1/:id
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const template = await reloop.template.retrieve("tpl_123456789");
1{
2 "id": "con_123456789",
3 "name": "Newsletter",
4 "description": "example_description",
5 "subject": "Welcome to Reloop",
6 "fromEmail": "example_fromEmail",
7 "replyTo": "example_replyTo",
8 "previewText": "example_previewText",
9 "organizationId": "example_organizationId",
10 "createdByUserId": "example_createdByUserId",
11 "status": "draft",
12 "content": [],
13 "variables": [
14 {
15 "name": "Newsletter",
16 "type": "string",
17 "defaultValue": null
18 }
19 ],
20 "currentVersion": 0,
21 "thumbnailUrl": "example_thumbnailUrl",
22 "isDefault": true,
23 "deletedAt": null,
24 "createdAt": "2026-03-23T10:00:00.000Z",
25 "updatedAt": "2026-03-23T10:00:00.000Z"
26}

Path Parameters

idstringRequired

Was this page helpful?